Installing docker compose v2

anyone know how to install docker compose v2 as a plugin to the docker snap? ive replied to an issue about plugins for the docker snap: https://github.com/docker-snap/docker-snap/issues/38#issuecomment-1114032056 and created an issue about including compose v2 by default in the snap: https://github.com/docker-snap/docker-snap/issues/69